using System;
using System.Collections.Generic;
namespace HySoft.BaseCallCenter.Model
{
	/// <summary>
	/// T_Wo_WorkOrderType:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_Wo_WorkOrderType
	{
		public T_Wo_WorkOrderType()
		{}
		#region Model
		private int _f_workordertypeid;
		private string _f_name;
		private string _f_ename;
		private string _f_number;
		private int? _f_parentid;
		private string _f_parentname;
		private int? _f_sort;
		private int? _f_layer;
		private int? _f_deleteflag;
		private int? _f_createby;
		private DateTime? _f_createdate;
		private int? _f_modifyby;
		private DateTime? _f_modifydate;
		private int? _typefrom;
		private string _f_icon;
		private string _f_remark;
		/// <summary>
		/// 工单类型ID
		/// </summary>
		public int F_WorkOrderTypeId
		{
			set{ _f_workordertypeid=value;}
			get{return _f_workordertypeid;}
		}
		/// <summary>
		/// 名称
		/// </summary>
		public string F_Name
		{
			set{ _f_name=value;}
			get{return _f_name;}
		}
		/// <summary>
		/// 简称
		/// </summary>
		public string F_Ename
		{
			set{ _f_ename=value;}
			get{return _f_ename;}
		}
		/// <summary>
		/// 编码
		/// </summary>
		public string F_Number
		{
			set{ _f_number=value;}
			get{return _f_number;}
		}
		/// <summary>
		/// 上级ID
		/// </summary>
		public int? F_ParentId
		{
			set{ _f_parentid=value;}
			get{return _f_parentid;}
		}
        private List<Model.T_Wo_WorkOrderType> children;
        /// <summary>
        /// 封装表单表数据
        /// </summary>
        public List<Model.T_Wo_WorkOrderType> Children
        {
            get { return children; }
            set { children = value; }
        }
		/// <summary>
		/// 上级名称
		/// </summary>
		public string F_ParentName
		{
			set{ _f_parentname=value;}
			get{return _f_parentname;}
		}
		/// <summary>
		/// 排序
		/// </summary>
		public int? F_Sort
		{
			set{ _f_sort=value;}
			get{return _f_sort;}
		}
		/// <summary>
		/// 层级
		/// </summary>
		public int? F_Layer
		{
			set{ _f_layer=value;}
			get{return _f_layer;}
		}
		/// <summary>
		/// 删除标识
		/// </summary>
		public int? F_DeleteFlag
		{
			set{ _f_deleteflag=value;}
			get{return _f_deleteflag;}
		}
		/// <summary>
		/// 添加人员
		/// </summary>
		public int? F_Createby
		{
			set{ _f_createby=value;}
			get{return _f_createby;}
		}
		/// <summary>
		/// 添加时间
		/// </summary>
		public DateTime? F_CreateDate
		{
			set{ _f_createdate=value;}
			get{return _f_createdate;}
		}
		/// <summary>
		/// 修改人员
		/// </summary>
		public int? F_Modifyby
		{
			set{ _f_modifyby=value;}
			get{return _f_modifyby;}
		}
		/// <summary>
		/// 修改时间
		/// </summary>
		public DateTime? F_ModifyDate
		{
			set{ _f_modifydate=value;}
			get{return _f_modifydate;}
		}
		/// <summary>
		/// 类型或者表单
		/// </summary>
		public int? TypeFrom
		{
			set{ _typefrom=value;}
			get{return _typefrom;}
		}
		/// <summary>
		/// 图标
		/// </summary>
		public string F_Icon
		{
			set{ _f_icon=value;}
			get{return _f_icon;}
		}
		/// <summary>
		/// 描述
		/// </summary>
		public string F_Remark
		{
			set{ _f_remark=value;}
			get{return _f_remark;}
		}
       
		#endregion Model
        #region 设置告警时间时,使用的属性值和名称

        private int _f_id;
        private int? _f_deptid;
        private string _f_deptcode;
        private string _f_deptname;
        private string _gaojingtime;
        private string _chaoshitime;
        private int? _f_ismain;
        /// <summary>
        /// F_Id
        /// </summary>
        public int F_ID
        {
            set { _f_id = value; }
            get { return _f_id; }
        }
        /// <summary>
        /// 所属区域
        /// </summary>
        public int? F_DEPTID
        {
            set { _f_deptid = value; }
            get { return _f_deptid; }
        }
        /// <summary>
        /// 区域Code
        /// </summary>
        public string F_DEPTNAME
        {
            set { _f_deptname = value; }
            get { return _f_deptname; }
        }
        /// <summary>
        /// 区域名称
        /// </summary>
        public string F_DEPTCODE
        {
            set { _f_deptcode = value; }
            get { return _f_deptcode; }
        }
        /// <summary>
        /// 告警时间
        /// </summary>
        public string GaoJingTime
        {
            set { _gaojingtime = value; }
            get { return _gaojingtime; }
        }

        /// <summary>
        /// 超时时间
        /// </summary>
        public string ChaoShiTime
        {
            set { _chaoshitime = value; }
            get { return _chaoshitime; }
        }
        /// <summary>
        /// 是否全局参数
        /// </summary>
        public int? F_ISMAIN
        {
            set { _f_ismain = value; }
            get { return _f_ismain; }
        }

        #endregion
	}
}

